[vdr] [ANNOUNCE] S2API wrapper patch 0.6

Udo Richter udo_richter at gmx.de
Sat Jun 26 11:47:38 CEST 2010


... or why two legs are better than one.

Hi list.


Due to some unexpected S2 capable hardware, there's a new version of my
S2API wrapper patch available for download.

The new version adds S2API auto-detection at runtime, so that one binary
vdr executable can handle old DVB V3 drivers and DVB V5 (S2API) drivers
without any changes.

As before, the patch compiles fine against the old V3 header files and
the new V5 header files, and even if vdr was compiled against V3
headers, the resulting vdr can still tune to S2 channels when using it
with V5 capable drivers.

As a fallback, the patched vdr understands the command line switches
--dvbapi=3 and --dvbapi=5 to manually select the API to use.


The patch applies to VDR from 1.7.13 at least up to 1.7.15. If there's
any need for VDR versions 1.7.12 and earlier, contact me.


Get it at:

http://www.udo-richter.de/vdr/patches.en.html#dvb-api-wrapper


Cheers,

Udo




More information about the vdr mailing list